
/*
* synDataPreProcess contains some data-preprocessing utilities.
*/

#ifndef SYNDATAPREPROCESS_H
#define SYNDATAPREPROCESS_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "dataUtility.h"

#define	SYN_CONFIG_FILE		"syn_config.txt"
#define SYN_WEI_CONFIG_FILE	"wei_syn_config.txt"
#define COMBINE_CONFIG_FILE "combine_config.txt"
#define EMP_COM_CONFIG_FILE "emp_combine_config.txt"

#define	EMP_NORM_CONFIG_FILE "norm_config.txt"
#define SYN_INPUT_FOLDER	".\\datasets\\Emp-Syn-data\\raw-data\\"
#define SYN_OUTPUT_FOLDER	".\\datasets\\Emp-Syn-data\\"

#define WEI_OUTPUT_FOLDER	".\\datasets\\Emp-Syn-data\\raw-data\\"
//#define WEI_INPUT_FOLDER	".\\datasets\\Emp-Syn-data\\raw-data\\"

#define	REAL_INPUT_FOLDER	".\\datasets\\Real-data\\raw-data\\"
#define	REAL_OUTPUT_FOLDER	".\\datasets\\Real-data\\"

#define	SPM_REAL_INPUT_FOLDER	".\\datasets\\SPM-real-data\\raw-data\\"
#define SPM_REAL_OUTPUT_FOLDER	".\\datasets\\SPM-real-data\\"

#define	MAX_FILE_NAME		256
#define MAX_LINE_LENG		1027
#define FILTER_LINE_NUM		16

//----------------------------------

void syn_data_process( );

void generate_weight( );

void combine_weight( );

void emp_combine_weight( );

//----------------------------------

void emp_real_data_norm( float min, float max);

void emp_real_data_gen( );



#endif

